Results 1 to 1 of 1

Thread: Warning :Version mismatch Please check for an update

  1. #1

    Warning :Version mismatch Please check for an update

    umm so i have a problem with launching my game it says that i have a version mismatch but there is no updates i just reinstalled paladins today after a long time so i was wondering of there is any fix to this also this on the normal servers not the pts servers also my version of the game is 3.1.3487.16
    Last edited by ThatFlyAlex; 04-11-2020 at 12:56 AM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •